Bug 1008724 - segmentation fault in compiler requested by dhowells@redhat.com
segmentation fault in compiler requested by dhowells@redhat.com
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cross-gcc (Show other bugs)
19
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 19:14 EDT by Alan Simmons
Modified: 2013-09-23 05:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 05:42:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Simmons 2013-09-16 19:14:06 EDT
Description of problem:

dhowells@redhat.comcro
Version-Release number of selected component (if applicable):


How reproducible:
dhowells@redhat.com

Steps to Reproduce:
1.cross compile kernel following method using crosstool-ng
2.
3.

Actual results:
segment fault

Expected results:
clean compile


Additional info:
Comment 1 David Howells 2013-09-17 03:51:27 EDT
What version of cross-binutils and cross-gcc?

From the frontpage of http://crosstool-ng.org/

    crosstool-NG is really targetted at building toolchains, and only toolchains.
    It is then up to you to use it the way you want.

Are you actually using our cross-compilers at all?  What crosstool-ng method are you using (it may change over time)?

What version of the kernel?  What arch?  What kernel config?
Comment 2 David Howells 2013-09-17 03:52:23 EDT
Also, please give more information on the fault.  Is it in gcc?  Does gcc give some sort of ICE report?
Comment 3 David Howells 2013-09-23 05:42:05 EDT
The external tracker pointer was corrupted by bugzilla, so I'm removing it.  If you can give us the real external tracker URL, please could you paste it into the BZ log?

Note You need to log in before you can comment on or make changes to this bug.